<?php

function spatolata_query_vars($qvars) {
    $qvars[] = 'l';
    return $qvars;
}

add_filter('query_vars', 'spatolata_query_vars');

function get_static_directory_uri() {
    return get_template_directory_uri() . '/static';
}

function get_post_anchor_id($title) {
    $title = strtolower($title);
    $title = str_replace(' ', '-', $title);
    return $title;
}

add_filter('show_admin_bar', '__return_false');

add_theme_support( 'responsive-embeds' );
add_theme_support( 'title-tag' );
add_theme_support('post-thumbnails');
add_theme_support('custom-logo');
add_theme_support('custom-background', [
    'default-attachment' => 'fixed',
]);

function spatolata_disable_pagination( $query ) {
  $query->set( 'nopaging' , true );
}
add_action( 'pre_get_posts', 'spatolata_disable_pagination' );


add_action( 'wp_enqueue_scripts', 'spatolata_enqueue' );

function spatolata_enqueue() {
    wp_enqueue_style('spatolata-style', get_stylesheet_uri());
}

?>
