<?php

$supported_langs = [
    'it' => [ 'name'=>'en', 'img'=>'us-uk-flag.svg', ],
    'en' => [ 'name'=>'it', 'img'=>'it-flag.svg', ],
];

$lang = get_query_var('l', 'it');

if (!array_key_exists($lang, $supported_langs)) {
    get_template_part('404');
    return;
}

get_header(args: ['lang'=>$lang, 'alt_lang'=>$supported_langs[$lang]]);

while ( have_posts() ) {
    the_post();

    if (!has_tag('section')) continue;
    if (!has_tag($lang)) continue;

    if (has_tag('hero')) {
        get_template_part('entry', 'hero');
    } else {
        get_template_part('entry');
    }
}

get_footer(args: ['lang'=>$lang]);

?>
